package com.bonus.canteen.core.auth.user.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import com.bonus.canteen.core.common.encrypt.SM4EncDecHandler;

import java.time.LocalDateTime;

@TableName(
   value = "mgr_user",
   autoResultMap = true
)
public class MgrUserInSystem extends Model<MgrUserInSystem> {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("用户编号")
   @TableId
   private Long userId;
   @ApiModelProperty("用户名")
   private String username;
   @ApiModelProperty("密码")
   private String password;
   @ApiModelProperty("真实姓名")
   @TableField(
      value = "real_name",
      typeHandler = SM4EncDecHandler.class
   )
   private String realName;
   @ApiModelProperty("随机盐")
   private String salt;
   @ApiModelProperty("电话号码")
   @TableField(
      value = "phone",
      typeHandler = SM4EncDecHandler.class
   )
   private String phone;
   @ApiModelProperty("操作员头像")
   private String avatar;
   @ApiModelProperty("部门id")
   private Long deptId;
   @ApiModelProperty("用户类型(0-本地用户, 1-AD账户)")
   private Integer userType;
   @ApiModelProperty("激活标识")
   private String lockFlag;
   @ApiModelProperty("标识")
   private Integer delFlag;
   @ApiModelProperty("微信登录openId")
   private String wxOpenid;
   @ApiModelProperty("小程序openId")
   private String miniOpenid;
   @ApiModelProperty("QQ openId")
   private String qqOpenid;
   @ApiModelProperty("码云标识")
   private String giteeLogin;
   @ApiModelProperty("开源中国标识")
   private String oscId;
   @ApiModelProperty("商户id")
   private Long tenantId;
   @ApiModelProperty("授权截止时间")
   private LocalDateTime endTime;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("是否修改过密码")
   private Integer editFlag;

   public Long getUserId() {
      return this.userId;
   }

   public String getUsername() {
      return this.username;
   }

   public String getPassword() {
      return this.password;
   }

   public String getRealName() {
      return this.realName;
   }

   public String getSalt() {
      return this.salt;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public Long getDeptId() {
      return this.deptId;
   }

   public Integer getUserType() {
      return this.userType;
   }

   public String getLockFlag() {
      return this.lockFlag;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getWxOpenid() {
      return this.wxOpenid;
   }

   public String getMiniOpenid() {
      return this.miniOpenid;
   }

   public String getQqOpenid() {
      return this.qqOpenid;
   }

   public String getGiteeLogin() {
      return this.giteeLogin;
   }

   public String getOscId() {
      return this.oscId;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getEditFlag() {
      return this.editFlag;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public void setRealName(final String realName) {
      this.realName = realName;
   }

   public void setSalt(final String salt) {
      this.salt = salt;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setAvatar(final String avatar) {
      this.avatar = avatar;
   }

   public void setDeptId(final Long deptId) {
      this.deptId = deptId;
   }

   public void setUserType(final Integer userType) {
      this.userType = userType;
   }

   public void setLockFlag(final String lockFlag) {
      this.lockFlag = lockFlag;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setWxOpenid(final String wxOpenid) {
      this.wxOpenid = wxOpenid;
   }

   public void setMiniOpenid(final String miniOpenid) {
      this.miniOpenid = miniOpenid;
   }

   public void setQqOpenid(final String qqOpenid) {
      this.qqOpenid = qqOpenid;
   }

   public void setGiteeLogin(final String giteeLogin) {
      this.giteeLogin = giteeLogin;
   }

   public void setOscId(final String oscId) {
      this.oscId = oscId;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setEditFlag(final Integer editFlag) {
      this.editFlag = editFlag;
   }

   public String toString() {
      Long var10000 = this.getUserId();
      return "MgrUserInSystem(userId=" + var10000 + ", username=" + this.getUsername() + ", password=" + this.getPassword() + ", realName=" + this.getRealName() + ", salt=" + this.getSalt() + ", phone=" + this.getPhone() + ", avatar=" + this.getAvatar() + ", deptId=" + this.getDeptId() + ", userType=" + this.getUserType() + ", lockFlag=" + this.getLockFlag() + ", delFlag=" + this.getDelFlag() + ", wxOpenid=" + this.getWxOpenid() + ", miniOpenid=" + this.getMiniOpenid() + ", qqOpenid=" + this.getQqOpenid() + ", giteeLogin=" + this.getGiteeLogin() + ", oscId=" + this.getOscId() + ", tenantId=" + this.getTenantId() + ", endTime=" + String.valueOf(this.getEndTime()) + ", revision=" + this.getRevision() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ", editFlag=" + this.getEditFlag() + ")";
   }
}
